
package net.northking.cctp.scriptcase.tools.hapUtil.module;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class ExtensionAbility {

    @SerializedName("exported")
    private Boolean mExported;
    @SerializedName("metadata")
    private List<Metadatum> mMetadata;
    @SerializedName("name")
    private String mName;
    @SerializedName("srcEntry")
    private String mSrcEntry;
    @SerializedName("type")
    private String mType;

    public Boolean getExported() {
        return mExported;
    }

    public void setExported(Boolean exported) {
        mExported = exported;
    }

    public List<Metadatum> getMetadata() {
        return mMetadata;
    }

    public void setMetadata(List<Metadatum> metadata) {
        mMetadata = metadata;
    }

    public String getName() {
        return mName;
    }

    public void setName(String name) {
        mName = name;
    }

    public String getSrcEntry() {
        return mSrcEntry;
    }

    public void setSrcEntry(String srcEntry) {
        mSrcEntry = srcEntry;
    }

    public String getType() {
        return mType;
    }

    public void setType(String type) {
        mType = type;
    }

}
